# Default Configuration Generator
Small tool to quickly generate a YAML config file which encodes all the default options used in 4DSSE. All c, c++, h, and hpp in the src directory are scanned and the config variables and their default values pulled out.

## Usage
- You must have python installed

```bash
./generateDefaultConfig.sh
```

There should now be a file called defaults.yaml which stores all the default values.

## Notes
This file could be used as a config file; however, it is more realistically intended for debugging and for checking what the default values set for config options in the code are. 